<!DOCTYPE html>
<html lang="es">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Capitulo_3</title>
</head>
<body>
    <h1>Capitulo 3</h1>
    <a>Ejercicio 2</a>

    <script>

    class Pila {
        constructor() {
            this.pila = [];
        }

        push(element) {
            this.pila.push(element);
            return this.pila;
        }

        pop() {
            return this.pila.pop();
        }

        size() {
            return this.pila.length;
        }

        minVal() {
            let min = Math.min(...this.pila);
            console.log(`El Valor Minimo en la pila es: ${min}`);
        }

        print() {
            console.log(this.pila);
        }


    }

    const pila = new Pila();
    console.log(pila.size());
    pila.push(8);
    pila.push(4);
    pila.push(7);
    pila.push(9);
    pila.print();
    pila.minVal();

    </script>
    
</body>
</html>